
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Percona Xtrabackup 备份MySQL 实例(转) / 憋错料</title>

    <meta name="description" content="Percona Xtrabackup 备份MySQL 实例(转) 老规矩,开场白,刚开始用mysqldump,备份100G+的数据库,再加上服务器繁忙,备份速度像蜗牛似的,于是寻找更高效的备份方法.网上都说用xtrabackup比较适合备份大的数据库,而且备份效率也高,就尝试使用一次,结果明显感觉比mysqldump备份与恢复速度就是快不少,那以后就用它了.大礼拜日的在家也没事,结合生产环境,写了这篇文档,刚接触的朋友,可以参考下,不多说,入正题! 1.初次备份前准备工作 1.1 了解备份方式 热备份:读写不受影响(mysqldump--&gt;innodb) ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Percona Xtrabackup 备份MySQL 实例(转)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>老规矩，开场白，刚开始用mysqldump，备份100G+的数据库，再加上服务器繁忙，备份速度像蜗牛似的，于是寻找更高效的备份方法。网上都说用xtrabackup比较适合备份大的数据库，而且备份效率也高，就尝试使用一次，结果明显感觉比mysqldump备份与恢复速度就是快不少，那以后就用它了。大礼拜日的在家也没事，结合生产环境，写了这篇文档，刚接触的朋友，可以参考下，不多说，入正题！</p>
<p><strong>1、初次备份前准备工作</strong></p>
<p>1.1 了解备份方式</p>
<p>热备份：读写不受影响（mysqldump--&gt;innodb）</p>
<p>温备份：仅可以执行读操作（mysqldump--&gt;myisam）</p>
<p>冷备份：离线备份，读写都不可用</p>
<p>逻辑备份：将数据导出文本文件中（mysqldump）</p>
<p>物理备份：将数据文件拷贝（xtrabackup、mysqlhotcopy）</p>
<p>完整备份：备份所有数据</p>
<p>增量备份：仅备份上次完整备份或增量备份以来变化的数据</p>
<p>差异备份：仅备份上次完整备份以来变化的数据</p>
<p>1.2 创建备份用户</p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2
</td>
<td>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>mysql&gt;&nbsp;grant&nbsp;reload,lock&nbsp;tables,replication&nbsp;client&nbsp;on&nbsp;*.*&nbsp;to&nbsp;</code><code>‘bak‘</code><code>@</code><code>‘localhost‘</code>&nbsp;<code>identified&nbsp;by&nbsp;</code><code>‘bak2015‘</code><code>;</code></p>
<p><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>mysql&gt;&nbsp;flush&nbsp;privileges;</code></p>
</td>
</tr>
</tbody>
</table>
<p>1.3 安装方式</p>
<p><strong>CentOS:</strong></p>
<p># rpm -ivh http://www.percona.com/downloads/percona-release/redhat/0.1-3/percona-release-0.1-3.noarch.rpm</p>
<p># yum install percona-xtrabackup &nbsp;#xtrabackup2.2不支持MySQL5.1的Innodb引擎,如需要可安装2.0版本（https://www.percona.com/downloads/XtraBackup/XtraBackup-2.0.8/RPM/rhel6/x86_64/percona-xtrabackup-20-2.0.8-587.rhel6.x86_64.rpm）</p>
<p><strong>Ubuntu：</strong></p>
<p># sudo apt-get install xtrabackup &nbsp;#14.04默认有这个包，14.04之前版本如果没有再这个地址下载对应的版本：https://www.percona.com/downloads/XtraBackup/</p>
<p>1.4 了解常用参数</p>
<p>--user= &nbsp; &nbsp; #指定数据库备份用户</p>
<p>--password= &nbsp;#指定数据库备份用户密码</p>
<p>--port= &nbsp; &nbsp; #指定数据库端口</p>
<p>--host= &nbsp; &nbsp; #指定备份主机</p>
<p>--socket= &nbsp; &nbsp;#指定socket文件路径</p>
<p>--databases= &nbsp;#备份指定数据库,多个空格隔开，如--databases="dbname1 dbname2",不加备份所有库</p>
<p>--defaults-file=&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#指定my.cnf配置文件</p>
<p>--apply-log&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#日志回滚</p>
<p>--incremental= &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;#增量备份，后跟增量备份路径</p>
<p>--incremental-basedir= &nbsp; &nbsp; #增量备份，指上次增量备份路径</p>
<p>--redo-only&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#合并全备和增量备份数据文件</p>
<p>--copy-back&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#将备份数据复制到数据库，数据库目录要为空</p>
<p>--no-timestamp &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;#生成备份文件不以时间戳为目录名</p>
<p>--stream= &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; #指定流的格式做备份,--stream=tar,将备份文件归档</p>
<p>[email&#160;protected] DST_DIR #备份到远程主机</p>
<p><strong>2、完整备份与恢复</strong></p>
<p>2.1 完整备份</p>
<p># innobackupex --user=bak --password=‘bak2015‘ /mysql_backup</p>
<p>2.2 备份恢复</p>
<p># innobackupex --defaults-file=/etc/mysql/my.cnf --copy-back /home/loongtao/mysql_backup/2015-02-08_11-56-48/</p>
<p>2.3 备份文件说明</p>
<p># ls 2015-02-08_11-56-48</p>
<p>backup-my.cnf：记录innobackup使用到mysql参数</p>
<p>xtrabackup_binary：备份中用到的可执行文件</p>
<p>xtrabackup_checkpoints：记录备份的类型、开始和结束的日志序列号</p>
<p>xtrabackup_logfile：备份中会开启一个log copy线程，用来监控innodb日志文件（ib_logfile），如果修改就会复制到这个文件</p>
<p><strong>3、完整备份+增量备份与恢复</strong></p>
<p>3.1 完整备份</p>
<p># innobackupex --user=bak --password=‘bak2015‘ /mysql_backup</p>
<p>#备份后位置是：/mysql_backup/2015-02-08_11-56-48</p>
<p>3.2 增量备份1</p>
<p># innobackupex --user=bak --password=‘bak2015‘ --incremental /data1/mysql_backup --incremental-basedir=/mysql_backup/2015-02-08_11-56-48 &nbsp;#指定上次完整备份目录</p>
<p>3.3 增量备份2</p>
<p># innobackupex --user=bak --password=‘bak2015‘ --incremental /data1/mysql_backup --incremental-basedir=/mysql_backup/2015-02-08_12-16-06 &nbsp;#指定上次增量备份目录</p>
<p>3.4&nbsp;查看xtrabackup_checkpoints文件，一目了然，可以看到根据日志序号来增量备份</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTkvODYvd0tpb0wxVFhHdkNTYzdLa0FBTG81dHRCc004NjM2LmpwZw==.jpg" /></p>
<p><strong>&nbsp;&nbsp;&nbsp;</strong>3.5 备份恢复</p>
<p>3.5.1&nbsp;备份恢复思路</p>
<p>将增量备份1、增量备份2...合并到完整备份，加到一起出来一个新的完整备份，将新的完整备份以拷贝的形式到数据库空目录（rm /var/lib/mysql/* -rf）</p>
<p>3.5.2 预备完整备份</p>
<p>#xtrabackup把备份过程中可能有尚未提交的事务或已经提交但未同步数据文件的事务，写到xtrabackup_logfile文件，所以要先通过这个日志文件回滚，把未完成的事务同步到备份文件，保证数据文件处于一致性。</p>
<p># innobackup --apply-log --redo-only&nbsp;2015-02-08_11-56-48</p>
<p>3.5.3 合并第一个增量备份</p>
<p># innobackupex --apply-log --redo-only /mysql_backup/2015-02-08_11-56-48/ --incremental-dir=mysql_backup/2015-02-08_12-16-06</p>
<p>3.5.4 合并第二个增量备份</p>
<p># innobackupex --apply-log --redo-only&nbsp;/mysql_backup/2015-02-08_11-56-48/ --incremental-dir=mysql_backup/2015-02-08_16-06-53</p>
<p>3.5.5 恢复完整备份（这时2015-02-08_11-56-48完整备份已经包含所有增量备份，可以通过查看checkpoints来核实）</p>
<p># innobackupex --defaults-file=/etc/mysql/my.cnf --copy-back /mysql_backup/2015-02-08_11-56-48/</p>
<p>3.5.6 修改恢复数据文件权限</p>
<p># chown -R mysql.mysql /var/lib/mysql</p>
<p>3.5.7 启动MySQL,查看数据库恢复情况</p>
<p># /etc/init.d/mysqld start</p>
<p><strong>4、备份文件归档压缩</strong></p>
<p><strong>&nbsp; &nbsp;</strong>4.1 归档并发送到备份服务器<strong><br /></strong></p>
<p># innobackupex --databases=test --user=bak&nbsp;--password=‘bak2015‘ --stream=tar /mysql_backup 2&gt;/mysql_backup/bak.log |ssh [email&#160;protected] "cat - &gt; /mysql_backup/`date +%F`.tar"</p>
<p>解压：tar -ixvf&nbsp;`date +%F`.tar</p>
<p>4.2 归档备份</p>
<p># innobackupex --databases=test --user=bak&nbsp;--password=‘bak2015‘ --stream=tar /mysql_backup &gt; /mysql_backup/`date +%F`.tar</p>
<p>解压：tar -ixvf&nbsp;`date +%F`.tar</p>
<p>4.3 压缩归档备份</p>
<p># innobackupex --databases=test --user=bak&nbsp;--password=‘bak2015‘ --stream=tar /mysql_backup |gzip &gt;/mysql_backup/`date +%F`.tar.gz</p>
<p>解压：tar -izxvf&nbsp;`date +%F`.tar.gz</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 17:51:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Percona Xtrabackup 备份MySQL 实例(转)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg5Dp83.html" rel="bookmark">Percona Xtrabackup备份mysql大数据库&lpar;完整备份与增量备份&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Percona Xtrabackup备份mysql大数据库(完整备份与增量备份) 文章目录 [隐藏] Xtrabackup简介 Xtrabackup安装 Xtrabackup工具介绍 innobackupex使用方法 完整备份及还原 增量备份及还原 Xtrabackup简介 Percona XtraBackup是开源免费的MySQL数据库热备份软件,它能对InnoDB和XtraDB存储引擎的数据库非阻塞地备份(对于MyISAM的备份同样需要加表锁).XtraBackup支持所有的Percona			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n3ZrrG3.html" rel="bookmark">Percona Xtrabackup备份mysql &lpar;完整备份与增量备份&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Xtrabackup简介 Percona XtraBackup是开源免费的MySQL数据库热备份软件,它能对InnoDB和XtraDB存储引擎的数据库非阻塞地备份(对于MyISAM 的备份同样需要加表锁).XtraBackup支持所有的Percona Server.MySQL.MariaDB和Drizzle. XtraBackup优势 : 1.无需停止数据库进行InnoDB热备 2.增量备份MySQL 3.流压缩到传输到其它服务器 4.能比较容易地创建主从同步 5.备份MySQL时不会增大服务器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3ORvP0.html" rel="bookmark">Percona Xtrabackup备份mysql全库及指定数据库&lpar;完整备份与增量备份&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://www.tuicool.com/articles/RZRnq2 Xtrabackup简介 Percona XtraBackup是开源免费的MySQL数据库热备份软件,它能对InnoDB和XtraDB存储引擎的数据库非阻塞地备份(对于MyISAM的备份 同样需要加表锁).XtraBackup支持所有的Percona Server.MySQL.MariaDB和Drizzle. XtraBackup优势 : 1.无需停止数据库进行InnoDB热备 2.增量备份MySQL 3.流			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyX2r3.html" rel="bookmark">Percona Xtrabackup备份mysql（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.drupal001.com/2014/02/percona-xtrabackup-mysql/ Xtrabackup简介 Percona XtraBackup是开源免费的MySQL数据库热备份软件,它能对InnoDB和XtraDB存储引擎的数据库非阻塞地备份(对于MyISAM的备份同样需要加表锁).XtraBackup支持所有的Percona Server.MySQL.MariaDB和Drizzle. XtraBackup优势 : 1.无需停止数据库进行InnoDB热			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lLy8b0.html" rel="bookmark">Percona Xtrabackup备份mysql全库及指定数据库&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.drupal001.com/2014/02/percona-xtrabackup-mysql/ Xtrabackup简介 Percona XtraBackup是开源免费的MySQL数据库热备份软件,它能对InnoDB和XtraDB存储引擎的数据库非阻塞地备份(对于MyISAM的备份同样需要加表锁).XtraBackup支持所有的Percona Server.MySQL.MariaDB和Drizzle. XtraBackup优势 : 1.无需停止数据库进行InnoDB热			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jemYAM.html" rel="bookmark">使用XtraBackup 备份MySQL数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本次测试使用XtraBackup备份MySQL数据库 版本:XtraBackup2.4.5+MySQL5.7.16 下载地址:https://www.percona.com/downloads/XtraBackup/ 1.安装XtraBackup 本次为了方便,使用解压版本进行安装,直接解压就可以用了. 使用过程中可能会遇到缺少perl依赖包的问题,我的方法是直接操作把镜像包里的perl都安装了,yum install -y perl* 2.简介 XtraBackup主要包括两个备份工具xtra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pLDg84.html" rel="bookmark">MariaDB之基于Percona Xtrabackup备份大数据库&lbrack;完整备份与增量备份&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MariaDB之基于Percona Xtrabackup备份大数据库[完整备份与增量备份] 1.Xtrabackup的安装 MariaDB之基于Percona Xtrabackup备份大数据库[完整备份与增量备份]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dDpKB0.html" rel="bookmark">xtrabackup 备份mysql数据库三： innobackupex 测试一个全量和两个增量的备份恢复测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				## 查看当前库中表的数据 ([email protected]) [test]&gt;select count(*) from t_innodb; +----------+ | count(*) | +----------+ |        0 | +----------+ 1 row in set (0.00 sec) ## 执行插入数据操作,该操作在全备之后执行完成 ([email protected]) [test]&gt;call addTest(100000,0); ## 执行全库备份 #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bG9gk3.html" rel="bookmark">xtrabackup备份MySQL报错：InnoDB&colon; Error number 24 means &amp;&num;39&semi;Too many open files&amp;&num;39&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xtrabackup备份MySQL报错:InnoDB: Error number 24 means 'Too many open files' 1.使用xtrabackup备份MySQL时出现如下报错: 190228 00:30:01 &gt;&gt; log scanned up to (88343615848) xtrabackup: Generating a list of tablespaces InnoDB: Allocated tablespace ID 2 for mysql/plugin,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xpdN0.html" rel="bookmark" class="title">python数据分析美国大选项目实战（三）</a>
					<div>
						项目介绍 项目地址:https://www.kaggle.com/fivethirtyeight/2016-election-polls 包含了2015年11月至2016年11月期间对于2016美国大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgbez0.html" rel="bookmark" class="title">从配置文件实现WCF的调用</a>
					<div>
						使用配置文件 1.创建一个类库 添加”System.ServiceModel“引用 IHelloService: using System; using System.Collections.Gene ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VvJK4.html" rel="bookmark" class="title">第26天：js-&dollar;id函数、焦点事件</a>
					<div>
						一.函数return语句定义函数的返回值,在函数内部用return来设置返回值,一个函数只能有一个返回值.同时,终止代码的执行.所有自定义函数默认没有返回值return后面不要换行 var a=10, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pbGDM.html" rel="bookmark" class="title">OSU&excl;</a>
					<div>
						4318: OSU! Time Limit: 2 Sec  Memory Limit: 128 MB Submit: 748  Solved: 579 [Submit][Status][Discuss ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDXWOM.html" rel="bookmark" class="title">CSS基础知识点</a>
					<div>
						.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8RwL3.html" rel="bookmark" class="title">Python基础&mdash;&mdash;模块</a>
					<div>
						1.模块简介 把很多函数按类别分组,分别放到不同的文件里.在Python中,一个.py文件就称之为一个模块(Module).在其他语言中称之为类库. 使用模块有什么好处? (1)大大提高了代码的可维护 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Dyn6M.html" rel="bookmark" class="title">python学习之路 第一天</a>
					<div>
						1.Python 3 安装. 2.Python 开发工具 PyCharm安装. 3.print(&quot;hello world!&quot;)  #打印hello world!  注:Python ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvGxw3.html" rel="bookmark" class="title">优土惊慌 对抗妖股暴风没章法</a>
					<div>
						鲶鱼效应对互联网行业来说,往往体现得更加强烈.牵一发而动全身的态势,尤其体现在竞争激烈的互联网细分领域.原本在线视频行业虽然竞争激烈,但也处于较为稳固和平衡的状态.优酷土豆.爱奇艺.腾讯视频.乐视等为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wY6y0.html" rel="bookmark" class="title">微信开发&lpar;1&rpar;---微信防撤回功能实现</a>
					<div>
						手里负责的项目都是微信端开发,微信小程序,以及公众号相关,所以最近在看微信开发的书. 今天碰巧看到一篇知乎讲如何实现微信防撤回功能,所以自己去实现了下,颇为好玩. 微信防撤回功能轻松实现~ 先贴上知乎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kplZP3.html" rel="bookmark" class="title">SpringMVC 配置log4j</a>
					<div>
						log4j.properties相关 http://www.cnblogs.com/ITEagle/archive/2010/04/23/1718365.html http://www.cnblogs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdNqP0.html" rel="bookmark" class="title">259656</a>
					<div>
						259656,布布扣,bubuko.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkmnEM.html" rel="bookmark" class="title">hbase 基本语法</a>
					<div>
						进入hbase shell console    $HBASE_HOME/bin/hbase shell    如果有kerberos认证,需要事先使用相应的keytab进行一下认证(使用kinit命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zDydM.html" rel="bookmark" class="title">Ternary Expression Parser</a>
					<div>
						Given a string representing arbitrarily nested ternary expressions, calculate the result of the expr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkO8LM.html" rel="bookmark" class="title">android View 关于transient</a>
					<div>
						今天来研究一下 ListView 的删除动画 由于 ListView 卷动时会把画面上的 item 重用以显示不同数据 这样会导致我们可能会删除到非正确的 item 或是出现显示上的问题(该 item ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02yJBaM.html" rel="bookmark" class="title">今日卢布美元汇率换算</a>
					<div>
						今日汇率查询网为您提供当前卢布美元汇率换算: 卢布10值美元多少 今日汇率(2014年6月13日) 卢布/美元 现汇买入价 现钞买入价 现汇卖出价 现钞卖出价 中行折算价 发布日期 RUB/USD 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLQop4.html" rel="bookmark" class="title">AngularJS的简单实用</a>
					<div>
						Angular Js 的初步认识和使用    一:        1.模块化            定义模块和控制器  ng-app=&quot;myapp&quot;  controller=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBPOr4.html" rel="bookmark" class="title">大数据时代之hadoop&lpar;一&rpar;：hadoop安装</a>
					<div>
						1.hadoop版本介绍 0.20.2版本以前(不含该版本)的配置文件都在default.xml中. 0.20.x以后的版本不含有eclipse插件的jar包,由于eclipse的版本不一,所以就需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9JYg0.html" rel="bookmark" class="title">结构-行为-样式-requireJs实现图片轮播插件</a>
					<div>
						最近工作需要,就自己写了一个图片轮播插件,不过想到要集成到框架中,于是又用RequireJs改了一遍. 主要文件: style.css jquery-1.11.1.min.js require.js  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDlr77M.html" rel="bookmark" class="title">计蒜客 第一场  搜狗输入法</a>
					<div>
						搜狗输入法最近的用户输入中出现了一种新的输入模式,形如 &quot;0k1234567&quot;,搜狗的工程师发现这一模式后了解到,这是一种新被提出的对于十五进制数字的标记模式,其中 &quot;0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnN793.html" rel="bookmark" class="title">甭醒桌帕食投雇幌</a>
					<div>
						http://www.tudou.com/programs/view/txSLeP88uwE?pr6r=snq http://www.tudou.com/programs/view/txSLeP88u ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
